#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
%define		nname		charset_normalizer
#-----------------------------------------------------------------------------
Name		:	python3-iniconfig
Version		:	1.1.1
Release		:	16.2.0.rel%{?dist}
Summary		:	Charset Detection

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPL
URL		:	https://pypi.org/project/configlib/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-setuptools-scm
BuildRequires	:	python-packaging

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
iniconfig is a small and simple INI-file parser module
having a unique set of features:

    tested against Python2.4 across to Python3.2, Jython, PyPy
    maintains order of sections and entries
    supports multi-line values with or without line-continuations
    supports “#” comments everywhere
    raises errors with proper line-numbers
    no bells and whistles like automatic substitutions
    iniconfig raises an Error if two sections have the same name.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.txt
%license LICENSE
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__init__.pyi
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}-*.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}							\
	setup.py						\
	install							\
	-O1							\
	--skip-build						\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\

#-----------------------------------------------------------------------------
%changelog
